Bug 615831 - RFE: Support for OPDS(Open Publication Distribution System)
RFE: Support for OPDS(Open Publication Distribution System)
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All All
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-18 23:31 EDT by guru
Modified: 2010-11-23 23:20 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 16:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description guru 2010-07-18 23:31:10 EDT
Description of problem: Open Publication Distribution System (OPDS) Catalog is a syndication format for electronic publications based on Atom RFC4287 and HTTP RFC2616. Catalogs enable the aggregation, distribution, discovery, and acquisition of electronic publications. The standard can be found at http://code.google.com/p/openpub/


Expected results: E-Book Reader programs can be given a URL for a compliant catalog, allowing the user to browse the catalog of available documents and download them with metadata to their reader to be read locally. EPUB is already an output format, this would merely allow the entire collection to be managed.

Software that supports the standard already includes: FBReader, Aldiko Reader for Android, EPUBReader for Firefox, Ibis Reader(HTML5), etc. 



Additional info: The standard is established, and Publican already outputs XML sitemaps, so the amount of work needed to make this XML standard should be minimal.
Comment 2 Jeff Fearn 2010-09-27 02:32:30 EDT
Added basic support for OPDS.

Fixed in Build:  2.1-0%{?dist}.t89
Comment 3 Jeff Fearn 2010-10-03 22:44:52 EDT
OPDS support has been expanded and should work for a variety of OPDS agents.

Fixed in build: 2.1-0%{?dist}.t141
Comment 4 Fedora Update System 2010-10-06 01:49:37 EDT
publican-2.2-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc13
Comment 5 Fedora Update System 2010-10-06 01:50:52 EDT
publican-2.2-0.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc12
Comment 6 Fedora Update System 2010-10-06 01:50:54 EDT
publican-2.2-0.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc14
Comment 7 Fedora Update System 2010-10-08 16:41:00 EDT
publican-2.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.